NAME="graphviz"
DESC="Graph visualization software"
VERSION="10.0.1"

FILES=("https://gitlab.com/graphviz/graphviz/-/archive/${VERSION}/graphviz-${VERSION}.tar.bz2")
HASHES=("5d343d0ba08dc11624d3961af2b4755c")

DEPENDS=(
  "libtool" "librsvg" "pango"
)
BUILD=("tk" "python3" "qt5")

PACKAGE() {
  tar xf "${NAME}-${VERSION}.tar.bz2"
  cd "${NAME}-${VERSION}"

  export CXXFLAGS+=' -fPIC -fpermissive'

  sed -i '/LIBPOSTFIX="64"/s/64//' configure.ac
  ./autogen.sh              
  ./configure --prefix=/usr        \
              --enable-python3=yes \
              --disable-python     \
              --docdir="/usr/share/doc/graphviz-${VERSION}"
  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
  make
  make DESTDIR="${ROOTDIR}" install

  cd .. && rm -r "${NAME}-${VERSION}"
}
