NAME="gst-plugins-base"
DESC="GStreamer Base Plug-ins is a well-groomed and well-maintained collection of GStreamer plug-ins and elements"
VERSION="1.22.10"

FILES=("https://gstreamer.freedesktop.org/src/gst-plugins-base/gst-plugins-base-${VERSION}.tar.xz")
HASHES=("8b3fdd849cfc198c8e5ceb3d8513661b")

DEPENDS=(
  "gstreamer" "alsa-lib" "cairo"
  "glib" "glibc" "graphene"
  "gstreamer" "libjpeg-turbo" "libogg"
  "libpng" "libtheora" "libvorbis"
  "libx11" "opus" "pango"
)
BUILD=("gobject-introspection" "iso-codes")

PACKAGE() {
  tar xf "${NAME}-${VERSION}.tar.xz"
  cd "${NAME}-${VERSION}"

  mkdir build
  cd    build

  meson  setup ..                                                    \
       --prefix=/usr                                                 \
       --buildtype=release                                           \
       --wrap-mode=nodownload                                        \
       -Dpackage-origin="https://git.matterlinux.xyz/Matter/desktop" \
       -Dpackage-name="GStreamer ${VERSION}"    

  ninja
  DESTDIR="${ROOTDIR}" ninja install

  cd ../.. && rm -r "${NAME}-${VERSION}"
}
